/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
using System;
using System.IO;
using System.Web.UI;
using System.Web.UI.Design;

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// Defines a control designer for the bread crumb trail control. It can be drag and dropped in the IDE when using
    /// the control. A dummy bread crumb trail is rendered.
    /// </summary>
    /// <remarks>
    /// The thread-safety of this class depends on its parent class.
    /// </remarks>
    /// <author>Pops</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>2.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class BreadCrumbTrailControlDesigner : ControlDesigner
    {
        /// <summary>
        /// Represents the dummy bread crumb trail HTML content.
        /// </summary>
        private const string DESIGN_HTML = "Root > Level 1 > Level 2";

        /// <summary>
        /// Gets the design-time HTML content of the bread crumb trail control.
        /// </summary>
        /// <remarks>
        /// A dummy bread crumb trail HTML is returned.
        /// </remarks>
        /// <returns>The design-time HTML content of the bread crumb trail control.</returns>
        public override string GetDesignTimeHtml()
        {
            return DESIGN_HTML;
        }
    }
}

